{
  "name": "flavorwiki-app",
  "version": "0.1.1",
  "private": true,
  "dependencies": {
    "@sentry/browser": "^5.11.1",
    "@tinymce/tinymce-react": "^3.3.2",
    "antd": "^3.13.2",
    "apollo-cache-inmemory": "^1.4.2",
    "apollo-cache-persist": "^0.1.1",
    "apollo-client": "^2.5.0",
    "apollo-link": "^1.2.6",
    "apollo-link-context": "^1.0.12",
    "apollo-link-error": "^1.1.5",
    "apollo-link-http": "^1.5.9",
    "apollo-upload-client": "^10.0.0",
    "axios": "^0.18.1",
    "browser-image-compression": "^1.0.12",
    "chart.js": "^2.8.0",
    "d3": "^5.9.2",
    "detect-browser": "^4.8.0",
    "file-saver": "^2.0.2",
    "formik": "^1.4.2",
    "fuse.js": "^3.4.4",
    "fw-simple-html2pdf": "^2.1.2",
    "graphql": "^14.0.2",
    "graphql-tag": "^2.10.0",
    "history": "^4.7.2",
    "html2canvas": "^1.0.0-rc.5",
    "i18next": "^15.1.1",
    "lodash.capitalize": "^4.2.1",
    "lodash.chunk": "^4.2.0",
    "lodash.debounce": "^4.0.8",
    "lodash.indexof": "^4.0.5",
    "lodash.kebabcase": "^4.1.1",
    "lodash.merge": "^4.6.2",
    "lodash.sortby": "^4.7.0",
    "lodash.startcase": "^4.4.0",
    "moment": "^2.23.0",
    "nuka-carousel": "^4.4.4",
    "path": "^0.12.7",
    "prop-types": "^15.6.2",
    "pubsub-js": "^1.7.0",
    "qs": "^6.7.0",
    "ramda": "^0.26.1",
    "react": "^16.12.0",
    "react-apollo": "^2.3.3",
    "react-apollo-hooks": "^0.4.5",
    "react-beautiful-dnd": "^13.0.0",
    "react-chartjs-2": "^2.7.4",
    "react-color": "^2.18.0",
    "react-composer": "^5.0.1",
    "react-copy-to-clipboard": "^5.0.1",
    "react-csv": "^1.1.2",
    "react-dom": "^16.12.0",
    "react-draft-wysiwyg": "^1.13.2",
    "react-google-recaptcha": "^1.0.5",
    "react-grid-layout": "^0.18.3",
    "react-hamburger-menu": "^1.1.1",
    "react-hotjar": "^2.2.0",
    "react-i18next": "^10.9.0",
    "react-image-file-resizer": "^0.2.1",
    "react-responsive": "^6.0.1",
    "react-router-dom": "^4.3.1",
    "react-scripts": "1.1.4",
    "react-sortable-hoc": "^1.11.0",
    "shortid": "^2.2.15",
    "sinon": "^7.3.2",
    "styled-components": "^3.4.10",
    "tinymce": "^5.0.15",
    "yup": "^0.26.7"
  },
  "proxy": "http://localhost:8000",
  "devDependencies": {
    "@quickbaseoss/babel-plugin-styled-components-css-namespace": "0.0.10",
    "@storybook/addon-actions": "^3.4.8",
    "@storybook/addon-links": "^3.4.8",
    "@storybook/addons": "^3.4.8",
    "@storybook/react": "^3.4.8",
    "@testing-library/cypress": "^4.0.4",
    "babel-core": "^6.26.3",
    "babel-eslint": "^10.0.1",
    "babel-plugin-import": "^1.8.0",
    "babel-plugin-macros": "^2.5.1",
    "babel-plugin-preval": "^3.0.1",
    "babel-plugin-styled-components": "^1.5.1",
    "babel-plugin-transform-runtime": "^6.23.0",
    "babel-preset-env": "^1.7.0",
    "babel-runtime": "^6.26.0",
    "css-loader": "^0.28.11",
    "cypress": "^3.3.2",
    "enzyme": "^3.10.0",
    "enzyme-adapter-react-16": "^1.15.1",
    "enzyme-to-json": "^3.4.3",
    "eslint": "^5.16.0",
    "eslint-config-react-app": "^3.0.6",
    "eslint-config-standard": "^12.0.0",
    "eslint-config-standard-jsx": "^6.0.2",
    "eslint-plugin-import": "^2.16.0",
    "eslint-plugin-node": "^8.0.1",
    "eslint-plugin-promise": "^4.1.1",
    "eslint-plugin-react": "^7.12.3",
    "eslint-plugin-react-hooks": "^1.4.0",
    "eslint-plugin-standard": "^4.0.0",
    "file-loader": "^1.1.11",
    "husky": "^0.14.3",
    "identity-obj-proxy": "^3.0.0",
    "less-loader": "^4.1.0",
    "lint-staged": "^7.2.0",
    "match-media-mock": "^0.1.1",
    "mutation-observer": "^1.0.3",
    "npm-run-all": "^4.1.5",
    "preval.macro": "^3.0.0",
    "react-app-rewire-less": "^2.1.2",
    "react-app-rewired": "^1.5.2",
    "react-test-renderer": "^16.8.6",
    "storybook-react-router": "^1.0.2",
    "style-loader": "^0.21.0"
  },
  "scripts": {
    "check-env": "node check-env > env.dump",
    "start": "react-app-rewired start",
    "test": "react-app-rewired test --env=jsdom",
    "test:debug": "react-app-rewired --inspect-brk test --env=jsdom",
    "test:validate": "rm -f test-graphql-report.log && NODE_OPTIONS=\"--max-old-space-size=4096\" CI=true GRAPHQL_REPORT=true npm run test -- --colors --coverage --no-cache -u --silent --runInBand",
    "test:coverage": "REACT_APP_FLAVORWIKI_API_URL='http://test.local:8000' CI=true NODE_OPTIONS=\"--max-old-space-size=4096\" npm run test -- --colors --coverage --coverageReporters=html --no-cache -u --silent --runInBand",
    "build": "react-app-rewired --max-old-space-size=4096 --max_old_space_size=4096 build",
    "test:e2e:dev": "npm-run-all --parallel start cy:open",
    "test:e2e": "npm-run-all --parallel --race start cy:run",
    "cy:open": "cypress open",
    "cy:run": "cypress run",
    "storybook": "start-storybook -p 9009 -s public",
    "build-storybook": "build-storybook -s public",
    "build-fragment": "node src/utils/fetchSchema.js"
  },
  "lint-staged": {
    "linters": {
      "src/**/*.js": [
        "prettier-standard",
        "git add"
      ]
    }
  },
  "jest": {
    "coveragePathIgnorePatterns": [
      "<rootDir>/src/defaults/",
      "<rootDir>/src/queries/",
      "<rootDir>/src/fragments/",
      ".*stories\\.js$"
    ],
    "snapshotSerializers": [
      "./src/utils/enzyme-to-json"
    ],
    "moduleNameMapper": {
      "\\.(css|less)$": "identity-obj-proxy"
    },
    "moduleDirectories": [
      "node_modules",
      "src"
    ]
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "standard",
      "standard-jsx",
      "plugin:import/warnings",
      "eslint:recommended"
    ],
    "plugins": [
      "react-hooks"
    ],
    "rules": {
      "react-hooks/rules-of-hooks": "error",
      "react-hooks/exhaustive-deps": "warn"
    },
    "globals": {
      "cy": true,
      "Cypress": true
    }
  }
}
